Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy.entry
Class AbstractEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry

Direct Known Subclasses:
  GrantEntry, KeystoreEntry, PermissionEntry, PrincipalEntry

    public abstract class AbstractEntry

extends java.lang.Object

Constructor Summary
`AbstractEntry()`

Method Summary
`abstract void` | `expand(PolicyContext context)`
`boolean` | `isDirty()`
`boolean` | `isExpanded()`
`void` | `setDirty(boolean isDirty)`
`void` | `setExpanded(boolean isExpanded)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEntry

    public AbstractEntry()

Method Detail

### expand

    public abstract void expand(PolicyContext context)
                         throws PolicyException

  Throws:
    `PolicyException`

### isDirty

    public boolean isDirty()

### setDirty

    public void setDirty(boolean isDirty)

### isExpanded

    public boolean isExpanded()

### setExpanded

    public void setExpanded(boolean isExpanded)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.